# Uses of Enum Class
org.apache.sysds.hops.fedplanner.FTypes.AlignType

Packages that use FTypes.AlignType
Package
Description
org.apache.sysds.hops.fedplanner
org.apache.sysds.runtime.controlprogram.federated

## Uses of FTypes.AlignType in org.apache.sysds.hops.fedplanner

Methods in org.apache.sysds.hops.fedplanner that return FTypes.AlignType
Modifier and Type
Method
Description
`static FTypes.AlignType`
FTypes.AlignType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static FTypes.AlignType[]`
FTypes.AlignType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of FTypes.AlignType in org.apache.sysds.runtime.controlprogram.federated

Methods in org.apache.sysds.runtime.controlprogram.federated with parameters of type FTypes.AlignType
Modifier and Type
Method
Description
`boolean`
FederationMap.`isAligned(FederationMap that, FTypes.AlignType... alignTypes)`
helper function for checking multiple allowed alignment types